      SUBROUTINE GOZRIM (PLN, DER, EPS, LAT, PLNWCS, RCS2)
      DIMENSION PLN( 306 ), DER( 289 ), EPS( 306 ),
     1  PLNWCS( 289 ),  RCS2( 21 )
      DOUBLE PRECISION EPS
C     COMPUTE PLN DERIVATIVES
      DO 3 LL=1, 17
      L = LL - 1
      JL = L *  17
      JLE = L *  18
      N=L
      DER(JL+1)=-N*EPS(JLE+2)*PLN(JLE+2)
      DO 2 IND=2, 17
      N = N + 1
      DER(JL+IND) = (N+1.) * EPS(JLE+IND) * PLN(JLE+IND-1)
     1  - N * EPS(JLE+IND+1) * PLN(JLE+IND+1)
2     CONTINUE
3     CONTINUE
      WCSA =  RCS2(LAT) /  6370000.
      RAA=1./( 6370000. * 6370000. )
      DO 4 I=1, 289
      DER(I) = DER(I) * WCSA
4     CONTINUE
      DO 6 LL=1, 17
      L=LL-1
      N=L-1
      JL = (LL-1) *  17
      JLE = (LL-1) *  18
      DO 5 IND=1, 17
      N=N+1
      PLNWCS(JL+IND) = PLN(JLE+IND) * WCSA * L
      PLN(JLE+IND)=(N*N+N)*PLN(JLE+IND)*RAA
5     CONTINUE
6     CONTINUE
C(DEBUGLINE) VERSION CREATED JULY 8 1982 BY J.SELA,NMC.
      RETURN
      END
